Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## chrriis.dj.nativeswing.swtimpl
Class OleNativeComponent

    java.lang.Object
      java.awt.Component
          java.awt.Canvas
              chrriis.dj.nativeswing.swtimpl.NativeComponent
                  chrriis.dj.nativeswing.swtimpl.OleNativeComponent

All Implemented Interfaces:
  ImageObserver, MenuContainer, Serializable, Accessible

    public abstract class OleNativeComponent

extends NativeComponent

A convenience class for Windows Ole-based native components.

Author:
  Christopher Deckers
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class java.awt.Canvas
`Canvas.AccessibleAWTCanvas`

Nested classes/interfaces inherited from class java.awt.Component
`Component.AccessibleAWTComponent, Component.BaselineResizeBehavior, Component.BltBufferStrategy, Component.FlipBufferStrategy`

Field Summary

Fields inherited from class chrriis.dj.nativeswing.swtimpl.NativeComponent
`listenerList`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`OleNativeComponent()` Construct an OLE native component.

Method Summary
`protected static void` | `configureOleFrame(OleClientSite site, OleFrame frame)`
`protected static Variant` | `createVariant(Object value)`
`void` | `dumpOleInterfaceDefinitions()` Dump the definitions of the OLE interface (properties and functions) to the output stream.
`Object` | `getOleProperty(String[] propertyPath, Object... args)`
`Object` | `getOleProperty(String property, Object... args)`
`protected static OleClientSite` | `getSite(OleFrame frame)`
`protected static Object` | `getVariantValue(Variant variant)`
`void` | `invokeOleFunction(String[] functionPath, Object... args)`
`void` | `invokeOleFunction(String functionName, Object... args)`
`Object` | `invokeOleFunctionWithResult(String[] functionPath, Object... args)`
`Object` | `invokeOleFunctionWithResult(String functionName, Object... args)`
`void` | `setOleProperty(String[] propertyPath, Object... args)`
`void` | `setOleProperty(String property, Object... args)`

Methods inherited from class chrriis.dj.nativeswing.swtimpl.NativeComponent
`addMouseMotionListener, addNotify, createBackBuffer, createEmbeddableComponent, destroyBackBuffer, disposeNativePeer, getComponentID, getControlRegistry, getListeners, getMinimumSize, getNativeComponentRegistry, getNativePeerCreationParameters, getPreferredSize, hasFocus, initializeNativePeer, isNativePeerDisposed, isNativePeerInitialized, isNativePeerValid, paint, paintComponent, paintComponent, print, processKeyEvent, removeMouseMotionListener, removeNotify, reshape, runAsync, runInSequence, runSync, setEnabled, toString, updateBackBuffer, updateBackBufferOnVisibleTranslucentAreas`

Methods inherited from class java.awt.Canvas
`createBufferStrategy, createBufferStrategy, getAccessibleContext, getBufferStrategy, update`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseWheelListener, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, deliverEvent, disable, disableEvents, dispatchEvent, doLayout, enable, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getAlignmentX, getAlignmentY, getBackground, getBaseline, getBaselineResizeBehavior, getBounds, getBounds, getColorModel, getComponentAt, getComponentAt, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeys, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphics, getGraphicsConfiguration, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocation, getLocationOnScreen, getMaximumSize, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getToolkit, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hide, imageUpdate, inside, invalidate, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusCycleRoot, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, layout, list, list, list, list, list, locate, location, lostFocus, minimumSize, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, paramString, postEvent, preferredSize, prepareImage, prepareImage, printAll, processComponentEvent, processEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseEvent, processMouseMotionEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resize, resize, setBackground, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeys, setFocusTraversalKeysEnabled, setFont, setForeground, setIgnoreRepaint, setLocale, setLocation, setLocation, setMaximumSize, setMinimumSize, setName, setPreferredSize, setSize, setSize, setVisible, show, show, size, transferFocus, transferFocusBackward, transferFocusUpCycle, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OleNativeComponent

    public OleNativeComponent()

  Construct an OLE native component.

Method Detail

### configureOleFrame

    protected static void configureOleFrame(OleClientSite site,
                                            OleFrame frame)

### getSite

    protected static OleClientSite getSite(OleFrame frame)

### invokeOleFunction

    public void invokeOleFunction(String functionName,
                                  Object... args)

### invokeOleFunction

    public void invokeOleFunction(String[] functionPath,
                                  Object... args)

### invokeOleFunctionWithResult

    public Object invokeOleFunctionWithResult(String functionName,
                                              Object... args)

### invokeOleFunctionWithResult

    public Object invokeOleFunctionWithResult(String[] functionPath,
                                              Object... args)

### setOleProperty

    public void setOleProperty(String property,
                               Object... args)

### setOleProperty

    public void setOleProperty(String[] propertyPath,
                               Object... args)

### getOleProperty

    public Object getOleProperty(String property,
                                 Object... args)

### getOleProperty

    public Object getOleProperty(String[] propertyPath,
                                 Object... args)

### createVariant

    protected static Variant createVariant(Object value)

### getVariantValue

    protected static Object getVariantValue(Variant variant)

### dumpOleInterfaceDefinitions

    public void dumpOleInterfaceDefinitions()

  Dump the definitions of the OLE interface (properties and functions) to the output stream.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD